com.jscape.inet.ssh.protocol.v2.marshaling.algorithms

## Class JceEncryptionFactory

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.JceEncryptionFactory

- All Implemented Interfaces:
    EncryptionFactory

      public class JceEncryptionFactory
      extends java.lang.Object
      implements EncryptionFactory

  JCE-based encryption algorithm factory.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JceEncryptionFactory.Entry` An algorithm entry.

    - ### Nested classes/interfaces inherited from interface com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.EncryptionFactory

      `EncryptionFactory.Mode, EncryptionFactory.OperationException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JceEncryptionFactory(JceEncryptionFactory.Entry... entries)` Creates a new factory instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Encryption` | `clientToServerEncryptionFor(java.lang.String name, com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.KeyFactory keyFactory, EncryptionFactory.Mode mode)` Returns an encryption operation for client-server direction.
    `java.util.List<java.lang.String>` | `encryptions()` Returns supported encryption algorithms.
    `com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Encryption` | `serverToClientEncryptionFor(java.lang.String name, com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.KeyFactory keyFactory, EncryptionFactory.Mode mode)` Returns an encryption operation for server-client direction.
    `JceEncryptionFactory` | `set(JceEncryptionFactory.Entry... entries)` Sets algorithm entries.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JceEncryptionFactory

          public JceEncryptionFactory(JceEncryptionFactory.Entry... entries)

      Creates a new factory instance.
      Parameters:
        `entries` - entries

  - ### Method Detail

    - #### set

          public JceEncryptionFactory set(JceEncryptionFactory.Entry... entries)

      Sets algorithm entries.
      Parameters:
        `entries` - entries
      Returns:
        current factory instance

    - #### encryptions

          public java.util.List<java.lang.String> encryptions()

      Description copied from interface: `EncryptionFactory`
      Returns supported encryption algorithms.
      Specified by:
        `encryptions` in interface `EncryptionFactory`
      Returns:
        supported encryption algorithms

    - #### clientToServerEncryptionFor

          public com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Encryption clientToServerEncryptionFor(java.lang.String name,
                                                                                                              com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.KeyFactory keyFactory,
                                                                                                              EncryptionFactory.Mode mode)
                                                                                                       throws EncryptionFactory.OperationException

      Description copied from interface: `EncryptionFactory`
      Returns an encryption operation for client-server direction.
      Specified by:
        `clientToServerEncryptionFor` in interface `EncryptionFactory`
      Parameters:
        `name` - a SSH algorithm name
        `keyFactory` - a key factory
        `mode` - an encryption mode
      Returns:
        an cryption operation
      Throws:
        `EncryptionFactory.OperationException` - if an error occurs

    - #### serverToClientEncryptionFor

          public com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.Encryption serverToClientEncryptionFor(java.lang.String name,
                                                                                                              com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.KeyFactory keyFactory,
                                                                                                              EncryptionFactory.Mode mode)
                                                                                                       throws EncryptionFactory.OperationException

      Description copied from interface: `EncryptionFactory`
      Returns an encryption operation for server-client direction.
      Specified by:
        `serverToClientEncryptionFor` in interface `EncryptionFactory`
      Parameters:
        `name` - a SSH algorithm name
        `keyFactory` - a key factory
        `mode` - an encryption mode
      Returns:
        an cryption operation
      Throws:
        `EncryptionFactory.OperationException` - if an error occurs

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved